#
# spec file for package w3m (Version 0.5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glib glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gzip imlib imlib-devel info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           w3m
BuildRequires:  giflib-devel imlib-devel libpng-devel libtiff-devel openssl-devel pkgconfig xorg-x11-devel
URL:            http://w3m.sourceforge.net/
Version:        0.5.1
Release:        19.2
Summary:        A text-based WWW browser
License:        BSD, Other License(s), see package
Group:          Productivity/Networking/Web/Browsers
Provides:       w3m_ssl web_browser
Obsoletes:      w3m_ssl
Autoreqprov:    on
Source:         http://prdownloads.sourceforge.net/w3m/w3m-%version.tar.bz2
Source1:        gc6.4.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         w3m-0.3.1-disable-cookie-special-domain-check.dif
Patch1:         w3m-0.4.1-textarea-segfault.dif
Patch2:         w3m-0.4.1-session-mgmt.dif
Patch3:         w3m-0.5-helppaths.diff
Patch10:        gc6.4.dif
%debug_package
%package inline-image
Summary:        An inline image extension for w3m
Group:          Productivity/Networking/Web/Browsers
Requires:       w3m
# just a note... framebuffer inline image support additionally requires
# gdk-pixbuf
Provides:       w3m:/usr/%_lib/w3m/w3mimgdisplay
Autoreqprov:    on

%description
W3m is a pager and text-based WWW browser. It has a number of useful
features:

* w3m can render tables

* w3m can render frames (it converts the frames into a table)

* SSL support

* w3m can easily display documents from standard input

* w3m can handle cookies

* w3m is small

* w3m has mouse support

If w3m-inline-image is installed it can display graphics inside
terminals, even on the console on some platforms.



Authors:
--------
    Akinori Ito <aito@ei5sun.yz.yamagata-u.ac.jp>
    Hans-J. Boehm <boehm@acm.org>
    many other contributors, see /usr/share/doc/packages/w3m/gc/README


%description inline-image
Inline image extension for w3m, the text-based WWW browser.

When this package is installed w3m can display images inline in an X
terminal (if it runs in a graphical X Window System environment).

See http://www2u.biglobe.ne.jp/%7Ehsaka/w3m/index.html#js for a demo.



Authors:
--------
    Akinori Ito <aito@ei5sun.yz.yamagata-u.ac.jp>
    Hans-J. Boehm <boehm@acm.org>
    many other contributors, see /usr/share/doc/packages/w3m/gc/README

%prep
%setup -b 1
%patch0 -p1
%patch1 -p1
%patch2
%patch3 -p1
cd ../gc*
%patch10

%build
pushd ../gc*
autoreconf --force --install
./configure --prefix=/usr --disable-shared
make
make install DESTDIR=$RPM_BUILD_DIR/gc_install
popd
mkdir -p $RPM_BUILD_ROOT/%_defaultdocdir/%name
export CFLAGS="$RPM_OPT_FLAGS -DUSE_BUFINFO"
export LIBS="-ldl -lpthread"
./configure	--bindir=/usr/bin \
		--mandir=%_mandir \
		--libdir=%_libdir \
		--libexecdir=%_libdir \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-ipv6 \
		--enable-alarm \
		--enable-ansi-color \
		--enable-digest-auth \
		--enable-external-uri-loader \
		--enable-gopher \
		--enable-history \
		--enable-image \
		--enable-keymap=lynx \
		--enable-m17n \
		--enable-mouse \
		--enable-nls \
		--enable-nntp \
		--enable-sslverify \
		--enable-unicode \
		--disable-w3mmailer \
		--with-gc=$RPM_BUILD_DIR/gc_install/usr
#
# to build with console framebuffer support, add
#	gdk-pixbuf gdk-pixbuf-devel gtk-devel glib2-devel gnome-devel-packages
# to the build system
make HELP_DIR="%_defaultdocdir/%name"

%install
make install DESTDIR=$RPM_BUILD_ROOT HELP_DIR="%_defaultdocdir/%name"
install -m 755 Bonus/*.cgi $RPM_BUILD_ROOT/usr/%_lib/w3m/cgi-bin

%files
%defattr(-,root,root)
/usr/bin/w3m
/usr/bin/w3mman
%dir /usr/%_lib/w3m/
/usr/%_lib/w3m/inflate
%dir /usr/%_lib/w3m/cgi-bin
/usr/%_lib/w3m/cgi-bin/w3mbookmark
/usr/%_lib/w3m/cgi-bin/w3mhelperpanel
/usr/%_lib/w3m/xface2xpm
/usr/%_lib/w3m/cgi-bin/2ch.cgi
/usr/%_lib/w3m/cgi-bin/backslash_to_slash.cgi
/usr/%_lib/w3m/cgi-bin/dirlist.cgi
/usr/%_lib/w3m/cgi-bin/goodict.cgi
/usr/%_lib/w3m/cgi-bin/google.cgi
/usr/%_lib/w3m/cgi-bin/multipart.cgi
/usr/%_lib/w3m/cgi-bin/smb.cgi
/usr/%_lib/w3m/cgi-bin/utf8.cgi
/usr/%_lib/w3m/cgi-bin/w3mhelp.cgi
/usr/%_lib/w3m/cgi-bin/w3mmail.cgi
/usr/%_lib/w3m/cgi-bin/w3mman2html.cgi
%lang(ja) %_mandir/ja
%_mandir/man1/w3mman.1.gz
%_mandir/man1/w3m.1.gz
/usr/share/locale/*/LC_MESSAGES/w3m.mo

%_defaultdocdir/w3m

%files inline-image
%defattr(-,root,root)
/usr/%_lib/w3m/w3mimgdisplay

%changelog -n w3m
* Sat Mar 18 2006 - od@suse.de
- fixes for w3m-0.4.1-session-mgmt.dif:
- longer session names: increase filename length for session
  files from 30 to 249
- fix buffer-overrun in several strncat()
- report errors other than ENOENT when opening session and
  history files
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Apr 27 2005 - ro@suse.de
- remove boehm-gc from nfb (dropped)
- use private copy of gc6.4
* Fri Aug 13 2004 - mmj@suse.de
- Don't --enable-messagel10n since it breaks w3m and makes every-
  thing Japanese [#43750]
* Mon May 03 2004 - mmj@suse.de
- Update to 0.5.1
* Tue Apr 13 2004 - mmj@suse.de
- Update to 0.5 which merges the -m17 part, and also adds
  auto{make,conf} support.
- Use %%_lib
* Mon Mar 22 2004 - mmj@suse.de
- Fix illegal prefetch instructions on intel 64-bit platform [#36352]
* Tue Feb 17 2004 - kukuk@suse.de
- Remove s390x ulimit hack (does not work as normal user)
* Tue Feb 03 2004 - mmj@suse.de
- Compile with -fno-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Oct 10 2003 - od@suse.de
- added new option "-session=<sessionname>" which implements simple
  session management
* Mon Aug 18 2003 - uli@suse.de
- replaced Boehm GC with a more recent version that works on s390x,
  ppc64 (obsoletes w3m-0.3.1-x86_64.dif)
* Fri Jul 25 2003 - poeml@suse.de
- switch to w3m-m17n sources (w3m-0.4.1-m17n-20030308) for its
  UTF-8 support, and no longer build the extra w3mj binary
- get rid of -m17n suffix
- add patch by Bjoern Jacke to automatically follow locale
- install the cgi's in /usr/lib/w3m/cgi-bin
* Thu Jul 24 2003 - poeml@suse.de
- update to 0.4.1
- tab browsing
  * rc: open_tab_blank, close_tab_back
  * func: CLOSE_TAB, NEW_TAB, NEXT_TAB, PREV_TAB,
  * func:        TAB_GOTO, TAB_GOTO_RELATIVE
  * func: TAB_LEFT, TAB_LINK, TAB_MENU, TAB_RIGHT
  * func: CLOSE_TAB_MOUSE, MENU_MOUSE, MOVE_MOUSE, TAB_MOUSE
  * rc: open_tab_dl_list
  * func: DOWNLOAD_LIST
- wheel scrolling
  * rc: relative_wheel_scroll
  * rc: relative_wheel_scroll_ratio
  * rc: fixed_wheel_scroll_count
- https proxy
  * env: https_proxy
  * rc: https_proxy
- form filling
  * pre_form: ~/.w3m/pre_form
  * rc: pre_form_file: pre_form configuration file
- building
  * separate auxbindir and libdir (local-CGI, file:///$LIB/)
  * configure: -auxbindir
- misc
  * options: -show-option
  * 2 stroke keybinding
  * rc: use_proxy
  * rc: preserve_timestamp
  * rc: fold_line
  * local cookie: passed via file named $LOCAL_COOKIE or posted not in url query
  * URL data: support
  * URL news:, nntp: newsgroup support
  * rc: nntpserver, nntpmode, max_news
  * rc: graphic_char
  * func: REDO, UNDO
  * func: LIST, LIST_MENU, MOVE_LIST_MENU
  * func: ACCESSKEY, LINK_MENU
  * rc: display_ins_del
  * func: MULTIMAP
  * options: -N
  * func: NEXT, PREV
  * rc: image_map_list
  * rc: decode_url
  * func: RESHAPE
  * func: SEARCH can take arg
  * rc: disable_secret_security_check (for windows?)
- w3m-0.2.1-ia64.dif seems obsolete
- re-diff textarea-segfault.dif, it seems still needed
- package some of the new Bonus cgi's
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Mon Feb 24 2003 - poeml@suse.de
- add fix for segfault that can occur when editing a textarea field
  with vi, and returning to w3m (it seems to happen if the terminal
  is not writable, as when using w3m after 'su - some_user') [#17597]
* Thu Jan 16 2003 - adrian@suse.de
- do not package files from sub package also into main package
  (no more X11 dependency on main package)
- package also man pages
* Thu Dec 05 2002 - poeml@suse.de
- update to 0.3.2.2
  * security fix: html_quote for img alt attributes
  * security fix: html_quote for frame contents
  * backport from w3m 0.3.2+cvs
- fix segmentation fault by large complex table.
  [w3m-dev 03371][w3m-dev 03438]
* Mon Nov 04 2002 - poeml@suse.de
- update to 0.3.2 (which has framebuffer console image support, but
  we don't build it because the permissions of /dev/fb* can only be
  set globally)
- w3mimgsize ceased to exist
- add w3mman, a pretty handy man page browser
* Thu Aug 15 2002 - schwab@suse.de
- Fix compilation on ia64.
* Wed Aug 07 2002 - poeml@suse.de
- fixed for s390x
- set ulimit -v unlimited otherwise the mktable helper segfaults
- apply lib64 patch on all architectures
* Tue Jul 16 2002 - poeml@suse.de
- define konqueror instead of mozilla as default external browser
- no path needed for external helpers
* Mon Jul 15 2002 - poeml@suse.de
- update to version 0.3.1.
- cookie handling: don't treat toplevel domains with 2 letters
  different from ones with 3 letters ("special domain check"), by
  don't allowing domain= values with 2 periods in a Set-Cookie
  header (why should a cookie from .ebay.de be invalid, while the
  same cookie from .ebay.com is not?)
- allow to configure the "accept" option for bad cookies
- define mozilla instead of netscape as default external browser
- show configuration in build log
- don't explicitely -I/usr/include, avoid nasty compiler warnings
- use RPM_OPT_FLAGS
* Sun Jul 07 2002 - schwab@suse.de
- Update to version 0.3.
* Wed May 29 2002 - ro@suse.de
- first hack to work on x86_64
* Tue May 21 2002 - poeml@suse.de
- fix wrong configuration which broke HTML text area editing
  (editor was set to -O) (#16260)
* Thu May 16 2002 - poeml@suse.de
- split off a w3m-inline-image subpackage to avoid the main package
  RPM dependency on X stuff
* Sat Feb 02 2002 - poeml@suse.de
- update to 0.2.5:
  * RFC2617: HTTP Digest authentication
  * rc: default_url=0(empty) 1(current URL) 2(link URL)
  * GOTO_RELATIVE (M-u)
  * highlight for incremental search
  * support migemo (romaji search)
  * use w3mmail.cgi for mailto: URL
  * support external URI loader
  * support -dump_extra ftp://
  * new regex implementation
- update inline image patch to w3m-0.2.5-img-2.2.patch.bz2
- add WWW-Authenticate.dif (makes w3m recognize WWW-Authenticate:
  token in lower case)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - poeml@suse.de
- update to 0.2.4
- use updated inline image patch w3m-0.2.4-img-1.18.patch.gz
* Wed Nov 28 2001 - mfabian@suse.de
- add patch for inline images (tweaked to work with
  w3m-0.2.2-inu-1.1 by <tiwai@suse.de>,
  originally from http://www2u.biglobe.ne.jp/~hsaka/w3m/patch/)
* Fri Nov 23 2001 - poeml@suse.de
- update to w3m-0.2.2-inu-1.1. This time, the included gc is new
  enough (6.1alpha2), so we don't need to supply another one.
* Mon Nov 12 2001 - schwab@suse.de
- Fix for ia64.
* Wed Oct 31 2001 - poeml@suse.de
- update to w3m-0.2.1-inu-1.5. This includes almost all patches
  posted to w3m-dev ML and w3m-dev-en ML in Oct. For details, see:
  http://mi.med.tohoku.ac.jp/~satodai/w3m/inu/200110/index.en.html
* Tue Oct 30 2001 - poeml@suse.de
- update to latest version: w3m-0.2.1-inu-1.4 [w3m-dev-en 00596]
  (it is semi-official, but all developers use that one)
- drop all patches since they are now included
- w3m ships with current gc now, but update to gc6.0alpha9 which
  has some s390 patches
* Tue Aug 28 2001 - poeml@suse.de
- add w3m-0.2.1-javascript-hide.dif from author to hide javascript
  statements even if they are inside table tags
- apply forgotten relURL patch
* Thu Jun 28 2001 - poeml@suse.de
- security fix: w3m-0.2.1-mimehead-buf.dif to prevent possible
  buffer overflow when parsing malformed URLs
- add patch that allows key mappings with a count
- spec file cleanup
* Wed Apr 04 2001 - poeml@suse.de
- add patch to help with pages containing javascript
* Wed Apr 04 2001 - poeml@suse.de
- update to w3m-0.2.1
- as before, use a newer gc on ia64 and sparc
- fix include path for gc on ia64 and sparc
- undefine INET6 on sparc: struct sockaddr_storage seems to have no
  member ss_family
- fix double declaration of CMT_SSL_FORBID_METHOD
- add patch for problems caused by misunderstanding of relative
  URLs
- fix Version tag (was a macro)
* Mon Feb 19 2001 - poeml@suse.de
- update to 0.1.11-pre (which is actually more stable than 0.1.10)
- apply massive kokb23 patch collection
- add patch for lynx-like pauth option
- drop norman.patch
- add newer gc (6.0alpha6) for ia64 and sparc that works with
  glibc-2.2.1
- update autoconf and libtool on these archs
* Wed Jan 31 2001 - poeml@suse.de
- add a version 5.1 of gc (Boehm-Weiser garbage collector) which is
  patched for ia64 ( http://www.cs.berkeley.edu/projects/
  titanium/src/titaniumc/runtime/gc/ ).
  don't use GC_push_other_roots() for some reason -> gc-5.1.patch
* Tue Jan 09 2001 - poeml@suse.de
- removed duplicate man page in %%{_defaultdocdir}/w3m/doc/
* Wed Dec 20 2000 - poeml@suse.de
- add web_browser to Provides (in sync with lynx and links)
* Mon Dec 18 2000 - poeml@suse.de
- merged w3m and w3m_ssl
- added openssl to neededforbuild
- bzipped sources
* Wed Dec 06 2000 - poeml@suse.de
- added japanese binary
* Fri Oct 13 2000 - poeml@suse.de
- update to 0.1.10
- patch for perl path no longer necessary (now done by ./configure)
- fix missing ifdef JP_CHARSET
- readjust spec file to new option in ./configure
- compile with lynx-like key binding
* Sat Sep 09 2000 - bjacke@suse.de
- added Excludes with w3m_ssl
* Mon May 15 2000 - kukuk@suse.de
- Update to 0.1.9 (works on SPARC)
- Use /bin/vi for 7.0
- Fix defines on SPARC
- Fix spec file
- Add installed scripts to filelist
* Sun Feb 13 2000 - mge@suse.de
- update to 0.1.6
- group tag
* Tue Oct 26 1999 - mge@suse.de
- initial SuSE-RPM
